package nckd.jxccl.base.common.constant;

/**
 * 表单或页面常量
 * @author W.Y.C
 * @date 2025/6/9 14:55
 * @version 1.0
 */
public class FromConstant {

    /** ID标识 */
    public static final String ID_KEY = "id";
    /** 名称标识 */
    public static final String NAME_KEY = "name";
    /** 编号标识 */
    public static final String NUMBER_KEY = "number";
    /** 分录字段标识 */
    public static final String ENTRY_ENTITY_KEY = "entryentity";
    /** 保存按钮标识 */
    public static final String SAVE_KEY = "save";
    /** 提交按钮标识 */
    public static final String SUBMIT_KEY = "submit";
    /** 左树右表日期标识 */
    public static final String SEARCH_DATE_KEY = "searchdate";
    /** 退出按钮 */
    public static final String CLOSE_KEY = "tblclose";
    /**
     * 单据编号
     **/
    public static final String BILL_NO_KEY = "BILLNO";
    /**
     * 单据状态
     **/
    public static final String BILL_STATUS_KEY = "billstatus";
    /**
     * 创建人
     **/
    public static final String CREATOR_KEY = "CREATOR";
    /**
     * 修改人
     **/
    public static final String MODIFIER_KEY = "MODIFIER";
    /**
     * 审核人
     **/
    public static final String AUDITOR_KEY = "AUDITOR";
    /**
     * 审核日期
     **/
    public static final String AUDIT_DATE_KEY = "AUDITDATE";
    /**
     * 修改时间
     **/
    public static final String MODIFY_TIME_KEY = "MODIFYTIME";
    /**
     * 创建时间
     **/
    public static final String CREATE_TIME_KEY = "CREATETIME";
    /**
     * 组织
     **/
    public static final String ORG_KEY = "ORG";
    /**
     * 分录行号
     **/
    public static final String SEQ_KEY = "SEQ";
    /**
     * 修改人
     **/
    public static final String MODIFIER_FIELD_KEY = "MODIFIERFIELD";
    /**
     * 修改时间
     **/
    public static final String MODIFY_DATE_FIELD_KEY = "MODIFYDATEFIELD";
    /** 数据状态 */
    public static final String STATUS = "status";
    /** 使用状态 */
    public static final String ENABLE = "enable";
    /** 主数据内码 */
    public static final String MASTER_ID = "masterid";
    /**** 是否当前版本 */
    public static final String IS_CURRENT_VERSION = "iscurrentversion";
    /** 数据状态 */
    public static final String DATA_STATUS = "datastatus";
    /** 业务状态 */
    public static final String BUSINESS_STATUS = "businessstatus";
    /** 初始状态 */
    public static final String INIT_STATUS = "initstatus";

    /** 确认框确认按钮 */
    public static final String OP_BTN_OK = "btnok";
    /** 提交操作 */
    public static final String OP_SUBMIT = "submit";
    /** 启用操作 */
    public static final String OP_ENABLE = "enable";
    /** 审核操作 */
    public static final String OP_AUDIT = "audit";
    /** 删除操作 */
    public static final String OP_DELETE = "delete";
    /** 刷新*/
    public static final String REFRESH = "refresh";
    /** 多选基础资料*/
    public static final String BASEDATAID_KEY = "fbasedataid";
}